\NeedsTeXFormat{LaTeX2e}[1996/12/01]

\ProvidesClass{tc}[2000/01/01v1.0]
\newif\ifpagebreakrule\pagebreakrulefalse
\newif\ifcomments\commentsfalse
\newif\ifopenaccess\openaccessfalse
\newif\ifframe\framefalse
\newif\ifasp\aspfalse
\newif\ifwcn\wcnfalse
\newif\ifijrm\ijrmfalse
\newif\ifjammc\jammcfalse
\newif\ifjbb\jbbfalse
\newif\ifmi\mifalse
\newif\ifjnm\jnmfalse
\newif\ifasmp\asmpfalse
\newif\ifijbi\ijbifalse
\newif\ifijp\ijpfalse
\newif\ifes\esfalse
\newif\ifbsb\bsbfalse
\newif\ifbca\bcafalse
\newif\ifidog\idogfalse
\newif\ifppar\pparfalse
\newif\ifsarcoma\sarcomafalse
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{revtex4}}
\DeclareOption{pagebreakrule}{\pagebreakruletrue}
\DeclareOption{comments}{\commentstrue}
\DeclareOption{openaccess}{\openaccesstrue}
\DeclareOption{asp}{\asptrue}
\DeclareOption{wcn}{\wcntrue}
\DeclareOption{ijrm}{\ijrmtrue}
\DeclareOption{frame}{\frametrue}
\DeclareOption{jammc}{\jammctrue}
\DeclareOption{jbb}{\jbbtrue}
\DeclareOption{mi}{\mitrue}
\DeclareOption{jnm}{\jnmtrue}
\DeclareOption{asmp}{\asmptrue}
\DeclareOption{ijbi}{\ijbitrue}
\DeclareOption{ijp}{\ijptrue}
\DeclareOption{es}{\estrue}
\DeclareOption{bsb}{\bsbtrue}
\DeclareOption{bca}{\bcatrue}
\DeclareOption{idog}{\idogtrue}
\DeclareOption{ppar}{\ppartrue}
\DeclareOption{sarcoma}{\sarcomatrue}
\ProcessOptions\relax
\LoadClass[twocolumn,nofootinbib,nobibnotes,nobalancelastpage,twoside,superscriptaddress,10pt]{revtex4}

%%%%%%%%%%%%%%%%%packages%%%%%%%%%%%%%%%%%%%%%%%
\usepackage{mcmathmo}
\usepackage{amsthm}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{minion}
\usepackage{myriad}
\usepackage{fancyhdr}
\usepackage{revsymb}
\usepackage{epsfig,wrapfig}
\usepackage{color,graphpap}
\usepackage{subfigure}
\usepackage{epsfig}
\usepackage{hypernat}

%%%%%%%%%%%%page dimensions%%%%%%%%%%%%%%%%%%%%%%%%%
\frenchspacing
\special{papersize=8.33in,11in}

\parindent 1.5em
\textwidth 500pt
\columnsep 1.5pc
\topmargin -5pc

%%%%%%%%%%%%%\etal command%%%%%%%%%%%%%%%%%%

\ifmi      \newcommand{\etal}{et~al} \fi
\ifjbb     \newcommand{\etal}{et~al} \fi
\ifbca     \newcommand{\etal}{et~al} \fi
\ifidog    \newcommand{\etal}{et~al} \fi
\ifppar    \newcommand{\etal}{et~al} \fi
\ifsarcoma \newcommand{\etal}{et~al} \fi
\ifasp     \newcommand{\etal}{et~al.} \fi
\ifwcn     \newcommand{\etal}{et~al.} \fi
\ifijrm    \newcommand{\etal}{et~al.} \fi
\ifjammc   \newcommand{\etal}{et~al.} \fi
\ifjnm     \newcommand{\etal}{et~al.} \fi
\ifasmp    \newcommand{\etal}{et~al.} \fi
\ifijbi    \newcommand{\etal}{et~al.} \fi
\ifijp    \newcommand{\etal}{et~al.} \fi
\ifes      \newcommand{\etal}{et~al.} \fi
\ifbsb     \newcommand{\etal}{et~al.} \fi


%%%%%%%%%%%%%%%%%%%%%%%running heads%%%%%%%%%
\newcommand\runningauthor[1]{\newcommand{\therunningauthor}{#1}}
\newcommand\thecopyrightholder{%
\ifasp\renewcommand{\etal}{et~al}\fi%
\ifwcn\renewcommand{\etal}{et~al}\fi%
\ifijrm\renewcommand{\etal}{et~al}\fi%
\ifjammc\renewcommand{\etal}{et~al}\fi%
\ifjnm\renewcommand{\etal}{et~al}\fi%
\ifasmp\renewcommand{\etal}{et~al}\fi%
\ifijbi\renewcommand{\etal}{et~al}\fi%
\ifijp\renewcommand{\etal}{et~al}\fi%
\ifes\renewcommand{\etal}{et~al}\fi%
\ifbsb\renewcommand{\etal}{et~al}\fi%
\therunningauthor}

\ifpagebreakrule
\newcommand{\thepagebreakrule}{\begin{picture}(0,0)\put(0,-692){\rule{500pt}{1pt}}\end{picture}}
\else
\newcommand{\thepagebreakrule}{}
\fi

\pagestyle{fancy}
\renewcommand{\headrulewidth}{0.7pt}
\fancyhead[LE]{\framepageodd\thepagebreakrule\thepage}
\fancyhead[RE]{\thejournal}
\fancyhead[LO]{\framepageodd\thepagebreakrule\therunningauthor}
\fancyhead[RO]{\thepage}
\cfoot{}

%%%%%%%%%%%%%%%%%%%%%FONTS%%%%%%%%%%%%%%%%%%%%%%

\DeclareFontFamily{OT1}{Minionenc}{}
\DeclareFontShape{OT1}{Minionenc}{n}{m}{ <-> s * morm108r }{}
\renewcommand{\copyright}[1]{{\usefont{OT1}{Minionenc}{n}{m}\char169}}

\DeclareSymbolFontAlphabet{\mathbb}{arrows}

\DeclareFontFamily{T1}{MinionMathSuppl}{}
\DeclareFontShape{T1}{MinionMathSuppl}{n}{m}{ <-> s * mmsi }{}
\DeclareFontShape{T1}{MinionMathSuppl}{bx}{m}{ <-> s * mmsib }{}
\DeclareSymbolFont{MinionMathSupplreg}{T1}{MinionMathSuppl}{n}{m}
\DeclareSymbolFont{MinionMathSupplbold}{T1}{MinionMathSuppl}{bx}{m}

\DeclareMathSymbol{\newnu}{\mathord}{MinionMathSupplreg}{'101}
\renewcommand{\nu}{\newnu}
\DeclareMathSymbol{\boldnu}{\mathord}{MinionMathSupplbold}{'101}

\DeclareMathSymbol{\newvarrho}{\mathord}{MinionMathSupplreg}{'102}
\renewcommand{\varrho}{\newvarrho}
\DeclareMathSymbol{\boldvarrho}{\mathord}{MinionMathSupplbold}{'102}

\DeclareMathSymbol{\newvarsigma}{\mathord}{MinionMathSupplreg}{'103}
\renewcommand{\varsigma}{\newvarsigma}
\DeclareMathSymbol{\boldvarsigma}{\mathord}{MinionMathSupplbold}{'103}

\DeclareFontFamily{T1}{MinionComma}{}
\DeclareFontShape{T1}{MinionComma}{n}{m}{ <-> s * morm108r }{}
\DeclareSymbolFont{MinionCommaReg}{T1}{MinionComma}{n}{m}
\DeclareMathSymbol{,}{\mathpunct}{MinionCommaReg}{'054}

\DeclareFontFamily{T1}{mtms}{}
\DeclareFontShape{T1}{mtms}{m}{n}{ <-> s * mtms }{}
\DeclareMathAlphabet{\mathcal}{T1}{mtms}{m}{n}

\DeclareFontFamily{T1}{mtmsb}{}
\DeclareFontShape{T1}{mtmsb}{m}{n}{ <-> s * mtmsb }{}
\DeclareMathAlphabet{\mathcalbf}{T1}{mtmsb}{m}{n}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\volume}[1]{\newcommand{\thevolume}{#1}}
\newcommand{\articleid}[1]{\newcommand{\thearticleid}{#1}}
\newcommand{\pubfont}{\normalfont\footnotesize}
\newcommand{\journalabb}[1]{\newcommand{\thejournalabb}{#1}}

%%%%%%%%%%%%%%%%%%%%%%subscription journals%%%%%%%%%%%%%%%%%%%%%%%%
\ifframe
\usepackage{pstricks}
\usepackage{fancybox}
\newcommand\BoxWidth{\textwidth}
\newcommand\BoxHeight{\textheight}
\newcommand\LowerLeftX{-5}
\newcommand\LowerLeftY{-232}
\newcommand{\framepage}{\begin{picture}(0,0)
\unitlength=1mm
\put(\LowerLeftX,\LowerLeftY){%
  \fbox{\rule{0pt}{1.05\BoxHeight}\hspace{1\BoxWidth}%
  }%
}
\end{picture}}
%\AtBeginDocument{\framepage} 
\pagestyle{fancy}
\newcommand{\framepageeven}{\begin{picture}(0,0) \unitlength=1mm
\put(-177,-242){%
  \fbox{\rule{0pt}{1\BoxHeight}\hspace{1\BoxWidth}%
  }%
}
\end{picture}}
\newcommand{\framepageodd}{\begin{picture}(0,0) \unitlength=1mm
\put(-2,-242){%
  \fbox{\rule{0pt}{1\BoxHeight}\hspace{1\BoxWidth}%
  }%
}
\end{picture}}
\cfoot{} 
\else
\newcommand{\framepageeven}{}
\newcommand{\framepageodd}{}
\fi

\ifasp
\newcommand{\thejournal}{EURASIP Journal on Applied Signal Processing}
\journalabb{ASP}
\fi

\ifjammc
\openaccesstrue
\newcommand{\thejournal}{Journal of Automated Methods and Management in Chemistry}
\journalabb{JAMMC}
\fi

%%%%%%%%%%%%%%%%%%%%%%open access journals%%%%%%%%%%%%%%%%%
\ifwcn
\openaccesstrue
\newcommand{\thejournal}{EURASIP Journal on Wireless Communications and Networking}
\journalabb{WCN}
\fi

\ifmi
\openaccesstrue
\newcommand{\thejournal}{Mediators of Inflammation}
\journalabb{MI} \fi

\ifijrm
\openaccesstrue
\newcommand{\thejournal}{International Journal of Rotating Machinery}
\journalabb{IJRM}
\fi

\ifjbb
\openaccesstrue
\newcommand{\thejournal}{Journal of Biomedicine and Biotechnology}
\journalabb{JBB}
\fi

\ifjnm
\openaccesstrue
\newcommand{\thejournal}{Journal of Nanomaterials}
\journalabb{JNM}
\fi

\ifasmp
\openaccesstrue
\newcommand{\thejournal}{EURASIP Journal on Audio, Speech, and Music Processing }
\journalabb{ASMP}
\fi

\ifijbi
\openaccesstrue
\newcommand{\thejournal}{International Journal of Biomedical Imaging}
\journalabb{IJBI}
\fi

\ifijp
\openaccesstrue
\newcommand{\thejournal}{International Journal of Photoenergy}
\journalabb{IJP}
\fi

\ifes
\openaccesstrue
\newcommand{\thejournal}{EURASIP Journal on Embedded Systems}
\journalabb{ES}
\fi

\ifbsb
\openaccesstrue
\newcommand{\thejournal}{EURASIP Journal on Bioinformatics and Systems Biology}
\journalabb{BSB}
\fi

\ifbca
\openaccesstrue
\newcommand{\thejournal}{Bioinorganic Chemistry and Applications}
\journalabb{BCA}
\fi

\ifidog
\openaccesstrue
\newcommand{\thejournal}{Infectious Diseases in Obstetrics and Gynecology}
\journalabb{IDOG}
\fi

\ifppar
\openaccesstrue
\newcommand{\thejournal}{PPAR Research}
\journalabb{PPAR}
\fi

\ifsarcoma
\openaccesstrue
\newcommand{\thejournal}{Sarcoma}
\journalabb{SARCOMA}
\fi

%%%%%%%%%%%%%%%%%%%%%%%%%%%the logo of the journals%%%%%%%%%

\newcommand{\thepubname}{\pubfont Hindawi Publishing Corporation\newline
\thejournal\newline Volume~\thevolume, Article~ID~\thearticleid,
Pages~\pageref{FirstPage}--\protect\pageref{xPage}\newline DOI
10.1155/\thejournalabb/\thevolume/\thearticleid\newline\newline}

%%%%%%%%%%%%%%%%Type%%%%%%%%%%%%%

\def\type#1{\def\@type{#1}}%
\let\@type\@empty

\newcommand{\thetype}{%
\ifx\@type\@empty
\
\else
\@type
\fi}

%%%%%%%%%%%%%%%%%%%%Title%%%%%%%%%%%%%%

\renewcommand\title[2][]{%
 \def\@title{\vskip-46pt\flushleft\thepagebreakrule\framepageodd\fontsize{8}{9}\selectfont\thepubname\\[24pt]\fontsize{18}{20}\selectfont\sf\itshape\thetype\\[4pt]\fontsize{18}{20}\selectfont\sf\bfseries#2\vskip24pt}%
 \def\@shorttitle{#1}%
 \let\@AF@join\@title@join
}%

%%%%%%%%%%%%%%%%%%%%%%%%%Author%%%%%%%%%%%%%%%%%%
\def\frontmatter@author@produce@script{%
  \begingroup
    \let\@author@present\@author@present@script
    \let\AU@temp\@empty
    \@tempcnta\z@
    \let\AF@opr \@gobble
    \def\AU@opr{\@author@count\@tempcnta}%
    \def\CO@opr{\@collaboration@count\AU@temp\@tempcnta}%
    \@AAC@list
    \expandafter\CO@opr\@author@cleared
    \begingroup
\frontmatter@authorformat
\let\AF@opr \@affilID@def
\let\AU@opr \@author@present
\def\CO@opr{\@collaboration@present\AU@temp}%
\set@listcomma@list\AU@temp
\hfil\parbox[t][][t]{.93\textwidth}{\fontsize{10}{12}\selectfont\sf\bfseries\@AAC@list\\[-5.25pt]}
 \unskip\unskip
\par
\endgroup
    \begingroup
\frontmatter@above@affiliation@script
\let\AFF@opr \@affil@script
     \@AFF@list
\frontmatter@footnote@produce
\par
\endgroup
  \endgroup
}%

%%%%%%%%%%%%%%%Dates lines%%%%%%%%%%%%%%

%\newcommand*\recommendedby[2][\recommendedby@name]{\def\@recommendedby{#1#2}}%
%\def\@recommendedby{}%
%
%\def\recommendedby@name{\hspace{35.25pt}Recommended for Publication by }%
%

%\def\frontmatter@RRAPformat#1{\vskip7.5pt\hspace{20.25pt}{\frontmatter@RRAP@format#1}\vskip7.5pt}

\def\recommendedby#1{\def\@recommendedby{\vskip7pt\hspace{20.25pt}\small Recommended for 
\vspace{1.5pt} Publication by~#1}}%
\let\@recommendedby\@empty

%%%%%%%%%%%%%%%%Affiliation%%%%%%%%%%%%%


\def\@affil@script#1#2#3{%
\@ifnum{#1=\z@}{}{%
\par%
\begingroup%
\frontmatter@affiliationfont%
\hspace{32pt}\begin{tabular*}{.93\textwidth}{p{.008\textwidth}@{}p{.921\textwidth}}%
\textsuperscript{#1} &#2
\end{tabular*}\vspace{-1pt}%
\@if@empty{#3}{}{\frontmatter@footnote{#3}}%
\endgroup%
}%
}%


%%%%%%%%%%%%%%%%%%%Abstract%%%%%%%%%%%%%%%

\renewenvironment{abstract}{%
  \aftermaketitle@chk{\begin{abstract}}%
  \global\setbox\absbox\vbox\bgroup
   \color@begingroup
   \columnwidth1.136\textwidth
   \hsize\columnwidth
   \@parboxrestore
   \def\@mpfn{mpfootnote}\def\thempfn{\thempfootnote}\c@mpfootnote\z@
   \let\@footnotetext\frontmatter@footnotetext
   \minipagefootnote@init
   \let\@listdepth\@mplistdepth \@mplistdepth\z@
   \@minipagerestore
   \@setminipage
    \frontmatter@abstractheading
    \frontmatter@abstractfont
    \let\footnote\mini@note
}{%
    \vskip3\baselineskip
%    \par
%    \unskip
    \minipagefootnote@here
    \@minipagefalse
    \color@endgroup
  \egroup
}%

\ifopenaccess
\newenvironment{tcabstract}{\begin{minipage}{.942\textwidth}\protect\flushleft\begin{abstract}\parindent0pt}%
{\newline\ \\[-2pt]\mbox{Copyright\hspace{2.25pt}\copyright{}\hspace{2.25pt}\thevolume\hspace{2.25pt}\thecopyrightholder.}  \mbox{This}
is an \mbox{open} \mbox{access} \mbox{article} \mbox{distributed} \mbox{under} the
\mbox{Creative} \mbox{Commons} \mbox{Attribution} \mbox{License}, which \mbox{permits}
\mbox{unrestricted} use, \mbox{distribution}, and \mbox{reproduction} in any
\mbox{medium}, \mbox{provided} the \mbox{original} \mbox{work} is \mbox{properly} \mbox{cited}.\end{abstract}\end{minipage}}
\else
\newenvironment{tcabstract}{\begin{minipage}{.942\textwidth}\protect\flushleft\begin{abstract}\parindent0pt}{\newline\ \\[-2pt]Copyright~\copyright{}~\thevolume~Hindawi Publishing Corporation. All rights reserved.\end{abstract}\end{minipage}}
\fi

\newcommand{\copyrightstatement}{%
\ifopenaccess
\begin{minipage}{.942\textwidth}\protect\flushleft\begin{abstract}\parindent0pt%
\ \\[-11.5pt]Copyright\hspace{3pt}\copyright{}\hspace{3pt}\thevolume\hspace{3pt}\thecopyrightholder.  \mbox{This}
is an \mbox{open} \mbox{access} \mbox{article} \mbox{distributed} \mbox{under} the
\mbox{Creative} \mbox{Commons} \mbox{Attribution} \mbox{License}, which \mbox{permits}
\mbox{unrestricted} use, \mbox{distribution}, and \mbox{reproduction} in any
\mbox{medium}, \mbox{provided} the \mbox{original} \mbox{work} is \mbox{properly} \mbox{cited}.
\end{abstract}\end{minipage}%
\else
\begin{minipage}{.942\textwidth}\protect\flushleft\begin{abstract}\parindent0pt%
\ \\[-29pt]Copyright\hspace{3pt}\copyright{}\hspace{3pt}\thevolume\hspace{3pt}Hindawi Publishing Corporation. All rights reserved.%
\end{abstract}\end{minipage}%
\fi
}

%%%%%%%%%%%%commands%%%%%%%%%%%%%%

\newcommand{\oneaffil}{\input{oneaddress.tex}}

\newcommand{\un}[1]{\,\mbox{#1}}
\newcommand{\chem}[1]{\ensuremath{\mathrm{#1}}}
\newcommand{\bfchem}[1]{\ensuremath{\mathbf{#1}}}
\newcommand{\jbbfirstpage}[1]{\setcounter{page}{#1}}

\newcommand{\Ibond}[2]{\hbox{{\chem{#1}}\raise.12ex\hbox{$-$}{\chem{#2}}}}
\newcommand{\IIbond}[2]{\hbox{\chem{#1}\raise.15ex\hbox{$=$}{\chem{#2}}}}
\newcommand{\IIIbond}[2]{\hbox{\chem{#1}\raise.15ex\hbox{$\equiv$}{\chem{#2}}}}

\newcommand{\bferef}[2]{\hyperref[#2]{#1 \normalfont{\textbf{\ref*{#2}}}}}
\newcommand{\cref}[1]{\htperref[#1]}
\newcommand{\eref}[2]{\hyperref[#2]{#1 \ref*{#2}}}
\newcommand{\beref}[2]{\hyperref[#2]{#1} \ref{#2}}

\setlength\voffset{18pt}
\def\biggg#1{{\hbox{$\left#1\vbox to17.72\p@{}\right.\n@space$}}}
\def\Biggg#1{{\hbox{$\left#1\vbox to21.25\p@{}\right.\n@space$}}}

\setlength{\overfullrule}{20pt}

\newcommand{\leftcol}{\vspace{6pt}\noindent\rule{8.5cm}{0.7pt}\rule{0.7pt}{10pt}
\vskip12pt}

\newcommand{\rightcol}{\vskip12pt\hfill\noindent\raisebox{-9.3pt}{\rule{0.7pt}{10pt}}\rule{8.5cm}{0.7pt}\vspace{6pt}}


%%%%%%%%%%%%%%%%%%%%%%%Comments%%%%%%%%%%%%%%%%%

\ifcomments
\usepackage[normalem]{ulem}
\newcommand\cshade[2][black]{\bgroup
%
\color{#2}%
%
 \def\UL@start{\setbox\UL@box\hbox\bgroup\everyhbox{\UL@hrest}%
  \let\UL@start\@empty \def\UL@unegroup{\bgroup\bgroup}\let\UL@leadtype\@empty
  \bgroup \color{#1}%
  \kern-3sp\kern3sp % kerns so I can test for beginning of list
  \if@ignore \global\@ignorefalse \ignorespaces \fi}
%
  \def\UL@leadtype{%
     \leaders \hrule \@height\ht\strutbox \@depth\dp\strutbox }%
%
  \ULon}
\newcommand{\tccheck}[1]{{\cshade{yellow}{\mbox{#1}}}}
\newcommand{\tcmathcheck}[1]{\unskip\colorbox{yellow}{\ensuremath{#1}}}
\else
\newcommand{\tccheck}[1]{#1}
\newcommand{\tcmathcheck}[1]{#1}
\fi

\setlength{\marginparsep}{6pt}
\setlength{\marginparwidth}{20pt}
\newcounter{tccomments}
\setcounter{tccomments}{0}
\def\tclist{}
\def\tcbox#1{%
  %
}
\newcommand{\vcomment}[1]{%
  \unskip
  \ifcomments
    \stepcounter{tccomments}%
    \setlength{\marginparwidth}{20pt}
    \marginpar{\framebox{\hbox to10pt{\hfill\thetccomments\hfill}}}%
    \protected@xdef\tclist{%
     \sf\normalsize \tclist\noindent\thetccomments.\hspace{6pt}#1\par
    }%
  \fi
}
\AtEndDocument{
  \ifcomments
  \newpage
    \parindent=-30pt
    \leftskip=0pt
    \rightskip=0pt
    \parskip=12pt
    \fontsize{12pt}{13pt}\sffamily\selectfont
    \begin{center}
      Composition Comments
    \end{center}
    \par
    \vspace*{5pt}
    \tclist
    \vspace*{4pt}
  \fi
}

%%%%%%%%%%%%%%figures%%%%%%%%%%%%%%

\renewcommand{\figurename}{\textsc{Figure}}


%%%%%%%%%%%%%%%Scheme%%%%%%%%%%%%%%%

\renewcommand{\schemename}{\textsc{Scheme}}

%%%%%%%%%%%%%Tables%%%%%%%%%%%%%%%%

\renewcommand{\tablename}{\textsc{Table}}

%%%%%%%%%%%%%%Algorithm%%%%%%%%%%%

\newenvironment{algorithm}
               {\@float{algorithm}}
               {\end@float}
\newenvironment{algorithm*}
               {\@dblfloat{algorithm}}
               {\end@dblfloat}

\newcommand{\algorithmname}{\textsc{Algorithm}}

\newcounter{algorithm}
\renewcommand \thealgorithm {\@arabic\c@algorithm}
\def\fps@algorithm{tbp}
\def\ftype@algorithm{1}
\def\ext@algorithm{lof}
\def\fnum@algorithm{\algorithmname~\thealgorithm}

%%%%%%%%%%%%%%%makecaption%%%%%%%%%%%%%

\renewcommand\thetable{\@arabic\c@table}

\setlength\abovecaptionskip{12pt}
\setlength\belowcaptionskip{5pt}

\long\def\@makecaption#1#2{%
  \par
  \vskip\abovecaptionskip
  \begingroup
   \small\rmfamily
   \sbox\@tempboxa{%
    \let\\\heading@cr
    #1: #2%
   }%
   \newbox\xxx
 \sbox\xxx{%
    \let\\\heading@cr
    #1: }%
     \@ifdim{\wd\@tempboxa >\hsize}{%
    \begingroup
     \samepage
     \flushing
     \let\footnote\@footnotemark@gobble
     #1: #2\par
    \endgroup
   }{%
     \@ifdim{\wd\@tempboxa=\wd\xxx}{\global \@minipagefalse
     \hb@xt@\hsize{\hfil#1\hfil}}%
     {\global \@minipagefalse
     \hb@xt@\hsize{\hfil\unhbox\@tempboxa\hfil}}%
     }%
  \endgroup
  \vskip\belowcaptionskip
}%

%%%%%%%%%%%%%%%%section%%%%%%%%%%%%%%%

\def\thesection{\arabic{section}}
\def\thesubsection{\thesection.\arabic{subsection}}
\def\thesubsubsection{\thesubsection.\arabic{subsubsection}}


\def\@startsection#1#2#3#4#5#6{%
 \@startsection@hook
 \if@noskipsec \leavevmode \fi
 \par
 \@tempskipa #4\relax
 \@afterindentfalse
 \ifdim \@tempskipa <\z@
  \@tempskipa -\@tempskipa \@afterindentfalse
 \fi
 \if@nobreak
  \everypar{}%
 \else
  \addpenalty\@secpenalty\addvspace\@tempskipa
 \fi
 \@ifstar
  {\@dblarg{\@ssect@ltx{#1}{#2}{-15pt}{#4}{#5}{#6}}}%
  {\@dblarg{\@sect {#1}{#2}{#3}{#4}{#5}{#6}}}%
}%

\def\section{%
  \@startsection
    {section}%
    {1}%
    {0pt}%
    {1.25\baselineskip}%
    {.75\baselineskip}%
    {\sf\bfseries\uppercase}%
}%

\def\subsection{%
  \@startsection
    {subsection}%
    {2}%
    {0pt}%
    {1.25\baselineskip}%
    {.75\baselineskip}%
    {\sf\bfseries\itshape}%
}%

\def\subsubsection{%
  \@startsection
    {subsubsection}%
    {3}%
    {0pt}%
    {1.25\baselineskip}%
    {.75\baselineskip}%
    {\sf\itshape}%
}%

\def\head{%
  \@startsection
    {subsubsection}%
    {5}%
    {0pt}%
    {1.25\baselineskip}%
    {.75\baselineskip}%
    {\sf\itshape}%
}%

%%%%%%%%%%%%%%%%%%%%footnote%%%%%%%%%%%%%%

\def\@combineinserts#1#2{%
 \setbox#1\vbox{%
  \unvbox#1%
  \vbox{%
   \@ifvoid#2{}{%
    \vskip\skip\footins
    \color@begingroup
    \normalcolor
    \footnoterule
    \vskip-12pt
    \nointerlineskip
    \box#2%
    \color@endgroup
   }{}%
  }%
 }%
}%

%%%%%%%%%%%%%%%%%%%list environment%%%%%%

\renewenvironment{itemize}{\begin{list}{}{\itemsep0pt\parsep0pt\topsep.5\baselineskip\parskip0pt\partopsep0pt}}{\end{list}}
\renewenvironment{enumerate}{\begin{list}{}{\itemsep0pt\parsep0pt\topsep.5\baselineskip\parskip0pt\partopsep0pt}}{\end{list}}

\newenvironment{nesteditemize}[1]{
\settowidth\leftmargini{\labelenumi\hskip\labelsep}%
\advance\leftmargini by 0.75em % \normalparindent
\settowidth\leftmarginii{\labelenumii\hskip\labelsep}%
\advance\leftmarginii by #1
\begin{itemize}}
{\end{itemize}}

%%%%%%%%%%%%%%%%%%%%theorem%%%%%%%

\newtheoremstyle{tcthm}% name
  {\baselineskip}%      Space above, empty = `usual value'
  {\baselineskip}%      Space below
  {\itshape}             %      Body font
  {}             %      Indent amount (empty = no indent, \parindent = para indent)
  {\bfseries}     %      Thm head font
  {}             %      Punctuation after thm head
  {4.5pt}          %      Space after thm head: " " = normal interword space;
  {\thmname{\textbf{#1}}\thmnumber{~\textbf{#2}}%
  \thmnote{ \normalfont(#3)}.}% Thm head spec

%%%%%%%%%%%%%%%%%%%%nospacescase%%%%%%

\newtheoremstyle{tccase}% name
  {0pt}%      Space above, empty = `usual value'
  {0pt}%      Space below
  {}             %      Body font
  {}             %      Indent amount (empty = no indent, \parindent = para indent)
  {\itshape}     %      Thm head font
  {}             %      Punctuation after thm head
  {4.5pt}          %      Space after thm head: " " = normal interword space;
  {\thmname{\textit{#1}}\thmnumber{~\itshape#2}%
  \thmnote{ \normalfont(#3)}.}% Thm head spec

%%%%%%%%%%%%%%%%%%%%definiation%%%%%%%

\newtheoremstyle{tcdef}% name
  {\baselineskip}%      Space above, empty = `usual value'
  {\baselineskip}%      Space below
  {}             %      Body font
  {}             %      Indent amount (empty = no indent, \parindent = para indent)
  {\itshape}     %      Thm head font
  {}             %      Punctuation after thm head
  {4.5pt}          %      Space after thm head: " " = normal interword space;
  {\thmname{\textit{#1}}\thmnumber{~\itshape#2}%
  \thmnote{ \normalfont(#3)}.}% Thm head spec

%%%%%%%%%%%%%%%npproof%%%%%%%%%%%%%%%%%

\newenvironment{npproof}[1][\proofname]{\par
  \pushQED{\qed}%
  \normalfont \topsep0.5\baselineskip
  \trivlist
  \item[\hskip\labelsep
        \itshape
    #1]\ignorespaces
}{%
  \popQED\endtrivlist\@endpefalse
}

%%%%%%%%%%%%%%%appendix%%%%%%%%%%%%%%%%

\def\appendixname{}%

\def\appendix{%
 \par
 \setcounter{section}\z@
 \setcounter{subsection}\z@
 \setcounter{subsubsection}\z@
 \def\thessection{\Alph{section}.}
 \def\thesubsection{\arabic{subsection}}%
 \def\thesubsubsection{\alph{subsubsection}}%
 \@addtoreset{equation}{section}%
 \def\theequation@prefix{\thesection}%
 \addtocontents{toc}{\protect\appendix}%
 \section*{APPENDIX}
   \def\theequation{\thesection.\arabic{equation}}
 \@ifstar{%
  \def\thesection{\unskip}%
  \def\theequation@prefix{A.}%
 }{%
  \def\thesection{\Alph{section}}%
 }%
}%

\def\appendices{%
 \par
 \setcounter{section}\z@
 \setcounter{subsection}\z@
 \setcounter{subsubsection}\z@
 \def\thessection{\Alph{section}.}
 \def\thesubsection{\arabic{subsection}}%
 \def\thesubsubsection{\alph{subsubsection}}%
 \@addtoreset{equation}{section}%
 \def\theequation@prefix{\thesection}%
 \addtocontents{toc}{\protect\appendix}%
  \section*{APPENDICES}
  \def\theequation{\thesection.\arabic{equation}}
 \@ifstar{%
  \def\thesection{\unskip}%
  \def\theequation@prefix{A.}%
 }{%
  \def\thesection{\Alph{section}}%
 }%
}%

%%%%%%%%%%%%%end document%%%%%%%%%%%%%%
\def\enddocument{%
\label{xPage}
 \@enddocumenthook
 \@checkend{document}%
 \clear@document
 \check@aux
 \deadcycles\z@
 \@@end
}%

\renewcommand{\subfigcapskip}{2pt}
\renewcommand{\subfigtopskip}{1pt}

%\usepackage[pdfusetitle]{hyperref}
%
%\hypersetup{%
%pdftitle=\@title,
%%
%pdfsubject=\thejournal
% }
%
%\def\@pdfauthor{\therunningauthor}

  \def\@get@second#1#2#3\@nil{#2}
  \def\@get@third#1#2#3#4\@nil{#3}
  \newcommand*{\expcite}[1]{%
    \@ifundefined{b@#1}{??}{%
      \expandafter\expandafter\expandafter\@get@third
        \csname b@#1\endcsname{}{}{}\@nil
      \space[%
      \expandafter\expandafter\expandafter\@get@second
        \csname b@#1\endcsname{}{}\@nil
      ]%
    }%
  }

\newcommand{\seccite}[1]{\texorpdfstring{\cite{#1}}{\expcite{#1}}}

\def\tcircled#1{%
    \leavevmode\hbox{\setbox0=\hbox{#1}\relax
    \dimen0=\the\wd0\dimen1=\the\ht0
    \ifdim\dimen0>\dimen1\dimen2=\dimen0\else\dimen2=\dimen1\fi
    \divide\dimen0 by 2\divide\dimen1 by 2\advance\dimen2 by 5pt
    \put(\strip@pt\dimen0, \strip@pt\dimen1){\circle{\strip@pt\dimen2}}
    \box0}%
}
%\def\tcircledI#1{{%
%    \psset{unit=1pt}
%    \setbox0=\hbox{#1}\relax
%    \dimen0=\the\wd0\dimen1=\the\ht0
%    \divide\dimen0 by 2\divide\dimen1 by 2
%    \ifdim\dimen0>\dimen1\dimen2=\dimen0\else\dimen2=\dimen1\fi
%    \advance\dimen2 by +5pt
%    \rput(\dimen0, \dimen1){\pscircle{\dimen2}}
%    \box0%
%}}
%\def\tcircleII#1{%
%    \ensuremath{\mathbin{\settowidth{\dimen7}{\mbox{$\bigcirc$}}%
%              \makebox[0pt][l]{$\bigcirc$}\makebox[\dimen7]{#1}}}}
%
%\def\tcircledIII#1{\circlenode{@dummy}{#1}}%

\newcommand\dna[1]{\leavevmode \begingroup
    \dnaZ #1\@empty}
\def\dnaZ #1#2{%
    #1%
     \ifx\@empty#2%
       \let\dnaZ\endgroup
    \else
       \dnaSpace \-%
    \fi
    \dnaZ #2%
}

\newcommand\dnaSpace{\nobreak\hspace{0pt plus .1pt}}

\def\overbracket{\@ifnextchar [ {\@overbracket} {\@overbracket
[\@bracketheight]}}
\def\@overbracket[#1]{\@ifnextchar [ {\@over@bracket[#1]}
{\@over@bracket[#1][0.3em]}}
\def\@over@bracket[#1][#2]#3{%\message {Overbracket: #1,#2,#3}
\mathop {\vbox {\m@th \ialign {##\crcr \noalign {\kern 3\p@
\nointerlineskip }\downbracketfill {#1}{#2}
                              \crcr \noalign {\kern 3\p@ }
                              \crcr  $\hspace{-2pt}\hfil \displaystyle {#3}\hfil $%
                              \crcr} }}\limits}
\def\downbracketfill#1#2{$\m@th \setbox \z@ \hbox {$\braceld$}
                  \edef\@bracketheight{\the\ht\z@}\downbracketend{#1}{#2}
                  \leaders \vrule \@height #1 \@depth \z@ \hfill
                  \leaders \vrule \@height #1 \@depth \z@ \hfill
\downbracketend{#1}{#2}$}
\def\downbracketend#1#2{\vrule depth #2 width #1\relax}                              

\let\PDF@SetupDoc\@empty
